// use "const" instead of "var" when declaring stuff that will never change
const tweetLength = 140;

// pass anonymous function into jQuery ($) that will execute when document is ready
$(function() {
  // select element with id "tweet_content" and set its behavior when key is lifted from keyboard
  $('#tweet_content').keyup(function() {
    // create variable "tweetContentVal" and assign it the value of tweet_content
    var tweetContentVal = $(this).val();
    // create variable "remainingCharacters" and assign it the difference of the length of
    // tweetContentVal string from tweetLength
    var remainingCharacters = tweetLength - tweetContentVal.length;    
    // select element with id "tweet_counter" and replace its contents with remainingCharacters,
    // in text (no html tags) form
    $('#tweet_counter').text(remainingCharacters);
  });
  
  // select element with id "tweetbox" and set its behavior when it is submitted
  $('#tweetbox').submit(function() {
    // create variable "tweetContentVal" and assign it the value of an element with id of
    // "tweet_content"
    var tweetContentVal = $('#tweet_content').val();
    // create variable "tweet" and assign it a clone of the first element with class of "tweet"
    var tweet = $('.tweet').first().clone();
    // find element with class "tweet_content" inside the tweet, and replace its contents with
    // the tweetContentVal in text form
    tweet.find('.tweet_content').text(tweetContentVal);
    // find element with class "time" inside the tweet, and replace its contents with "now"
    tweet.find('.time').text('now');
    // find element with id "tweets" and inject the tweet as the first child
    $('#tweets').prepend(tweet);
    // find element with id "tweet_content" and set its value to blank
    $('#tweet_content').val('');
    // find element with id "tweet_counter" and replace its contents with remainingCharacters
    $('#tweet_counter').text(tweetLength);
    // prevent default submit behavior from occurring
    return false;
  });
});